PKGCTL-DIFF(1)

NOME
pkgctl-diff - Compara arquivos de pacote usando diferentes modos.

SINOPSE

pkgctl diff [OPÇÕES] [MODOS] [ARQUIVO|PKGNAME...]

DESCRIÇÃO

Procura por um pacote construído localmente correspondente ao PKGBUILD e baixa a última versão desse pacote dos repositórios do Pacman. Ele então compara os arquivos de pacotes usando diferentes modos enquanto usa uma lista de conteúdo "tar" simples por padrão.

Quando um pacote é fornecido, usa-o para diferenciar do construído localmente. Quando dados dois pacotes, diferencia ambos os pacotes um do outro.

Em ambos os casos, um nome de pacote será convertido em um nome de arquivo do cache ou pool, e o pkgctl diff prosseguirá como se esse nome de arquivo tivesse sido especificado inicialmente.

OPÇÕES

-M, --makepkg-config
    Define um arquivo de configuração alternativo do makepkg

-P, --pool=DIR
    Pesquisa um alvo diff no diretório do pool (padrão '/srv/ftp/pool')

-v, --verbose
    Fornece saída mais detalhada/não filtrada

-h, --help
    Mostra um texto de ajuda.

OPÇÕES DE SAÍDA

--color[=QUANDO]
    Saída colorizada; QUANDO é 'never', 'always', ou 'auto'; somente --color significa --color=auto

-u, -U, --unified
    Gera saída de 3 linhas de contexto unificado

-y, --side-by-side
    Gera saída em duas colunas

-W, --width[=NÚM]
    Gera saída com no máximo NÚM (padrão 'auto') colunas de impressão; NÚM pode ser 'auto', 'columns' ou um número. 'auto' será resolvido para um comprimento máximo de linhas de ambos os arquivos, garantindo que o diff não seja cortado.

MODOS

-l, --list
    Ativa modo de diferenciação da lista de conteúdo tar (padrão)

-d, --diffoscope
    Ativa modo de diferenciação de diffoscope

-p, --pkginfo
    Ativa modo de diferenciação de .PKGINFO

-b, --buildinfo
    Ativa modo de diferenciação de .BUILDINFO

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).